pilot(1)

Nume
pilot - navigator simplu al sistemului de fișiere în stilul Alpine Composer

Sintaxă
pilot [ opțiuni ] [ director ]

Descriere
Pilot este un navigator simplu, orientat spre afișarea sistemului de fișiere, bazat pe compozitorul sistemului de mesaje Alpine. Ca și în cazul Alpine, comenzile sunt afișate în partea de jos a ecranului și se oferă ajutor contextual.

Pilot afișează directorul de lucru curent în partea de sus a ecranului. Conținutul directorului este afișat în coloane de perechi de nume de fișier, dimensiune de fișier. Numele care sunt directoare sunt indicate prin denumirea „(dir)” în locul dimensiunii fișierului. Părintele directorului de lucru curent este indicat prin numele de fișier „..” și dimensiunea „(dir părinte)”. Numele de fișiere care sunt legături simbolice către alte fișiere sunt afișate cu dimensiunea „--”.

Sunt furnizate câteva comenzi de bază pentru manipularea fișierelor: Ștergere „Delete”, Redenumire „Rename”, Copiere „Copy”, Vizualizare „View”, Lansare „Launch” și Editare „Edit”. Comenzile „View” și „Edit” operează numai cu fișiere text. În mod implicit, comanda „View” afișează fișierele folosind «alpine -F», dar va respecta variabila de mediu PAGER dacă este definită. Comanda „Edit” invocă pur și simplu «pico». Comanda „Launch” (Lansare) oferă o modalitate convenabilă fie de a executa fișierul selectat, fie de a rula o aplicație pe acesta.

Un ajutor mai specific este disponibil în ajutorul din Internet al pilot.

Opțiuni

-a  Afișează toate fișierele, inclusiv cele care încep cu un punct (.).

-f  Utilizează tastele de funcție pentru comenzi. Această opțiune este acceptată numai în combinație cu UW Enhanced NCSA telnet.

-g  Activează modul „Show Cursor” (Afișare cursor). Face ca cursorul să fie poziționat înaintea selecției curente, în loc să fie plasat în stânga jos a ecranului.

-j  Activează comanda „Goto” (Mergi la). Acest lucru abilitează comanda pentru a permite să se indice în mod explicit lui pilot ce director să viziteze.

-m  Activează funcționalitatea mouse-ului. Acest lucru funcționează numai atunci când pilot este rulat din interiorul unei ferestre «xterm» a sistemului X Window.

-nn Opțiunea -nn activează notificarea de mesaje noi. Argumentul n este opțional și specifică cât de des, în secunde, este verificată căsuța poștală pentru mesaje noi. De exemplu, -n60 face ca pilot să verifice dacă există corespondență nouă o dată la fiecare minut. Intervalul implicit este de 180 de secunde, în timp ce minimul permis este de 30. Notă: fără spațiu între „n” și număr.

-o director
    Stabilește directorul de operare. Numai fișierele din directorul specificat sunt accesibile, iar navigarea este limitată la subarborele directorului specificat.

-v  Activează afișarea unei singure coloane verticale.

-x  Dezactivează meniul de taste din partea de jos a ecranului.

-z  Activează suspendarea ^Z a pilot.

-q  Definiția termcap sau terminfo pentru secvențele de eludare la intrare este utilizată cu prioritate față de secvențele definite în mod implicit. Această opțiune este disponibilă numai dacă pilot a fost compilat cu definiția TERMCAP_WINS activată.

-setlocale_ctype
    Efectuează setlocale(LC_CTYPE) dacă este disponibil.Valoarea implicită este de a nu face acest setlocale.

-no_setlocale_collate
    Nu efectuează setlocale(LC_COLLATE). Valoarea implicită este de a face acest setlocale.

Autori
Michael Seibel <mikes@cac.washington.edu>
Drepturi de autor 1994-2007 de către University of Washington.

Consultați și
alpine(1)
Distribuția sursei (parte a sistemului de mesaje Alpine):

$Data: 14.01.2005 20:40:14 $

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.